package com.lukouguoji.aerologic.page.test

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.lukouguoji.aerologic.R
import com.lukouguoji.aerologic.databinding.ActivityPrintBinding
import com.lukouguoji.module_base.base.BaseBindingActivity

class PrintActivity : BaseBindingActivity<ActivityPrintBinding,PrintViewModel>() {

    override fun layoutId() = R.layout.activity_print

    override fun viewModelClass() = PrintViewModel::class.java

    override fun initOnCreate(savedInstanceState: Bundle?) {
        binding.viewModel = viewModel
    }

    companion object{
        @JvmStatic
        fun start(context: Context) {
            val starter = Intent(context, PrintActivity::class.java)
            context.startActivity(starter)
        }
    }
}